CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

OBJ

  vga : "waitvid.50x18.ui"
  graph: "50x18.graph overlay"

VAR
  long graphdata[50]           '#of columns across the screen.  3 simultaneous graphs permitted, one per byte.
  long temp
  
PUB start | a
  'NOTE: Uses pin group 1 (8-15) for VGA output.
  vga.start
  vga.setcolor($FC, $00)
  vga.str(string("3-axis 50 column Graph And Text Demo"))
  graph.start(@graphdata)

  repeat a from 0 to 49
'    graphdata[b++] := (^^a * 6) | ((255 - a) << 8) '| ((?a & $FF) << 8)
    temp.byte[0] := 256 - a
    temp.byte[1] := ^^a * 6
    temp.byte[2] := byte[a]
    'writes to .byte[3] are ignored  
    graphdata[a] := temp
